> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mandate

> Get CRDB Direct Debit mandate details and linked payment plan summary by mandate request ID

<Note>
  Pass `requestId` (the `mandateRequestId` from [Request Mandate Approval](/api-reference/collection/crdb-direct-debit/request-mandate)) as a query parameter.
</Note>


## OpenAPI

````yaml api-reference/collection/crdb-direct-debit/openapi.json GET /customers/crdb-direct-debit-mandate
openapi: 3.0.1
info:
  title: CORE API - CRDB Direct Debit
  description: API for requesting, querying, and cancelling CRDB Direct Debit mandates
  version: 1.0.0
servers:
  - url: https://api.clickpesa.com/third-parties
security:
  - bearerAuth: []
paths:
  /customers/crdb-direct-debit-mandate:
    get:
      tags:
        - CRDB Direct Debit
      summary: Get Mandate
      description: >-
        Get CRDB Direct Debit mandate details and linked payment plan summary by
        mandate request ID
      operationId: getCrdbDirectDebitMandate
      parameters:
        - name: requestId
          in: query
          required: true
          schema:
            type: string
          description: The mandateRequestId returned when mandate approval was requested
          example: 69383ce4f8b5a8e2077df9c7
      responses:
        '200':
          description: Mandate and payment plan details
          content:
            application/json:
              schema:
                type: object
                properties:
                  mandateRequestId:
                    type: string
                  mandateReference:
                    type: string
                    description: >-
                      CRDB mandate reference used on payment webhooks as
                      orderReference
                  mandateStatus:
                    type: string
                  mandateCallbackUrl:
                    type: string
                  mandateConfirmedAt:
                    type: string
                    format: date-time
                  crdbAccountDetails:
                    type: object
                    properties:
                      phoneNumber:
                        type: string
                      debitAccount:
                        type: string
                      accountName:
                        type: string
                  paymentPlanDetails:
                    type: object
                    properties:
                      startDate:
                        type: string
                      endDate:
                        type: string
                      frequencyType:
                        type: string
                      frequency:
                        type: number
                      installmentAmount:
                        type: number
                      installmentsNumber:
                        type: number
                      installmentsCompleted:
                        type: number
                      remainingAmount:
                        type: number
                      totalAmount:
                        type: number
                      billDetails:
                        type: string
              example:
                mandateRequestId: 69383ce4f8b5a8e2077df9c7
                mandateReference: '9009099'
                mandateStatus: ACTIVE
                mandateCallbackUrl: https://your-system.com/webhooks/crdb-mandate-status
                mandateConfirmedAt: '2025-12-09T15:16:09.557Z'
                crdbAccountDetails:
                  phoneNumber: '255754712650'
                  debitAccount: '0152590146100'
                  accountName: Ramona Cormier-Hilll
                paymentPlanDetails:
                  startDate: '2025-12-10'
                  endDate: '2025-12-30'
                  frequencyType: DAILY
                  frequency: 2
                  installmentAmount: 2500
                  installmentsNumber: 11
                  installmentsCompleted: 0
                  remainingAmount: 27500
                  totalAmount: 27500
                  billDetails: Loan No. 233422 from Inc.
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: Mandate not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: CRDB direct debit mandate not found
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        statusCode:
          type: number
    UnauthorizedError:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token from Generate Authorization Token

````